# Standard library header <experimental/ranges/random>

From cppreference.com
< cpp‎ | header

This header is part of the ranges library.

### Random number generator concept

Defined in namespace `std::experimental::ranges`
UniformRandomNumberGenerator | specifies that a type qualifies as a uniform random number generator (concept)

### Synopsis

    namespace std { namespace experimental { namespace ranges { inline namespace v1 {

    template <class G>
    concept bool UniformRandomNumberGenerator = /* see definition */;

    }}}}

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/header/experimental/ranges/random&oldid=106834"